{{ define "stylesheet" }}
<style>
{{ if isset .Params "header" }}
{{ $header_img := resources.Get .Params.Header }}
.header-image {
    width: 100%;
    background-image: url('{{ $header_img.RelPermalink }}');
    background-size: cover;
    background-attachment: scroll;
    background-position: center;
    height: 30vh;
    margin-bottom: 2rem;
}

@media (min-width: 800px) {
    .header-image {
        background-attachment: fixed;
    }
}
{{ end }}

.page-image {
    aspect-ratio: 1/1;
    object-fit: contain;
    width: 100%;
}
</style>
{{ end }}

{{ define "main" }}
{{ if isset .Params "header" }}
<div class="header-image">&nbsp;</div>
{{ end }}
<div class="container" style="min-height: 100vh;">
    <div class="row pt-3">
        <div class="col-4">
            <h1>{{ .Title }}</h1>
        </div>
    </div>
    <div class="row">
        <div class="col">
            {{ .Content }}
        </div>
    </div>
    {{ range .Pages }}
    <hr/>
    <div class="row align-items-center">
        {{ if isset .Params "thumbnail" }}
        <div class="col-md-2 pb-3">
            {{ $page_thumbnail_img := resources.Get .Params.Thumbnail }}
            <img src="{{ $page_thumbnail_img.RelPermalink }}" alt="Picture for {{ .Title }}" class="page-image"/>
        </div>
        {{ end }}
        <div class="col">
            <h3>{{ .Title }}</h3>
            <p>{{ .Summary }}</p>
            <a style="float: left;" href="{{ .RelPermalink }}">Weiterlesen ...</a>
            <p style="float: right;">{{ .Date | time.Format ":date_long" }}</p>
            <span style="clear: both;">&nbsp;</span>
        </div>
    </div>
    {{ end }}
    <hr/>
</div>
{{ end }}
